﻿#Region "File Header"
' ----------------------------------------------------------------------------------------
' File Name          :   Common.vb
' File Description   :   1)Used for Adding Names List
' Date Created       :   12/26/2012
' Date Modified      :   
' ----------------------------------------------------------------------------------------
#End Region

#Region "Namespaces"
Imports System.Windows.Forms
#End Region

Module Common

#Region "Private Variable"
    Private _departmentNameList As AutoCompleteStringCollection
    Private _categoryNameList As AutoCompleteStringCollection
    Private _itemNameList As AutoCompleteStringCollection
#End Region

    ''' <summary>
    ''' Property for Adding Department Names List to Search Box
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property DepartmentSearchList() As AutoCompleteStringCollection
        Get
            Return _departmentNameList
        End Get
        Set(ByVal value As AutoCompleteStringCollection)
            _departmentNameList = value
        End Set
    End Property

    ''' <summary>
    ''' Property for Adding Category Name List to Search Box
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property CategorySearchList() As AutoCompleteStringCollection
        Get
            Return _categoryNameList
        End Get
        Set(ByVal value As AutoCompleteStringCollection)
            _categoryNameList = value
        End Set
    End Property

    ''' <summary>
    ''' Property for Adding Item Name List to Search Box
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property ItemSearchList() As AutoCompleteStringCollection
        Get
            Return _itemNameList
        End Get
        Set(ByVal value As AutoCompleteStringCollection)
            _itemNameList = value
        End Set
    End Property

End Module
